mknrndll under OS X 10.5.4

Post Reply
xioni
Posts: 3
Joined: Tue Jul 29, 2008 11:38 am

mknrndll under OS X 10.5.4

Post by xioni »

I am having problems with mknrndll in NEURON 6.1 and 6.2 on my intel-based Mac Pro running 10.5.4, but not having the same problem on my ppc-based 12" Powerbook under 10.5.4.

when i drop a .mod file into mknrndll it compiles fine on the ppc-based computer, but fails to run on the intel-based computer giving me the following error:
cad.mod
"/Users/zeus/o/NEURON/NEURON-6.2/nrn/share/nrn/libtool" --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I"/Users/zeus/o/NEURON/NEURON-6.2/nrn/include/nrn" -I"/Users/zeus/o/NEURON/NEURON-6.2/nrn/umac/lib" -arch ppc -arch i386 -c -o cad.lo `test -f 'cad.c' || echo '/'`cad.c
gcc -DHAVE_CONFIG_H -I. -I.. -I/Users/zeus/o/NEURON/NEURON-6.2/nrn/include/nrn -I/Users/zeus/o/NEURON/NEURON-6.2/nrn/umac/lib -arch ppc -arch i386 -c cad.c -fno-common -DPIC -o .libs/cad.o
cc1: error: unrecognized command line option "-arch"
cc1: error: unrecognized command line option "-arch"
make: *** [cad.lo] Error 1
Press 'return' key to close
i have tried it with both X-code 3.0 and 3.1 and it gives the same error.

could anyone advise me on what might be the problem?

thanks
hines
Site Admin
Posts: 1600
Joined: Wed May 18, 2005 3:32 pm

Re: mknrndll under OS X 10.5.4

Post by hines »

cc1: error: unrecognized command line option "-arch"
This typically is seen with an older os with an out of date xcode from the days prior
to the existence of i686 macs. But you have a new os, xcode, and are seeing the
problem on an i686. If you upgraded from 10.4 to 10.5, I presume you subsequently
upgraded the xcode as well. What is the result (executing from a terminal window) of
gcc -v
xioni
Posts: 3
Joined: Tue Jul 29, 2008 11:38 am

Re: mknrndll under OS X 10.5.4

Post by xioni »

hines wrote: This typically is seen with an older os with an out of date xcode from the days prior
to the existence of i686 macs. But you have a new os, xcode, and are seeing the
problem on an i686. If you upgraded from 10.4 to 10.5, I presume you subsequently
upgraded the xcode as well. What is the result (executing from a terminal window) of
gcc -v
hi, thanks for the reply.

i have not upgraded from 10.4 to 10.5. this is a new computer with a fresh 10.5.3 install, subsequently upgraded to 10.5.4. i tried neuron with X-Code 3.0. i subsequently updated to X-Code 3.1 with the same result.

the result from gcc -v:
Using built-in specs.
Target: i386-apple-darwin9.2.0
Configured with: ../gcc-4.4-20080509/configure --enable-languages=fortran,c++
Thread model: posix
gcc version 4.4.0 20080509 (experimental) (GCC)
xioni
Posts: 3
Joined: Tue Jul 29, 2008 11:38 am

Re: mknrndll under OS X 10.5.4

Post by xioni »

okay so i understand what my issue was

in addition to X-Code, i have gcc from GNU. this is installed in /usr/local/bin which was sent in my PATH with higher priority than the gcc from X-Code which is in /usr/bin.

when i changed it so that bash used the gcc from X-Code, i no longer got the error.

apparently NEURON works with gcc from X-Code but not from GNU as i have them installed.
Post Reply